/**
 * \file ResetController.cpp
 *
 *  \date Jun 14, 2010
 *  \author tuleu
 */

#include "ResetController.h"
#include "ResetEvent.h"
ResetController::ResetController(int & argc, char** argv)
 : amarsi::Controller(argc,argv){
}

ResetController::~ResetController() {
}

void ResetController::run(){

  amarsi::Supervisor::instance().eventManager().registerEvent(new ResetEvent());
  //Event life control is EventManager responsability, so we just forget the
  //object we just have created.

  //just do nothing else than run the simulation;
  while(true){
    step();
  }
}




int main(int argc , char ** argv){
  ResetController controller(argc,argv);
  controller.run();
  return 0;
}
