/**
 * \file examples/preference/main.cpp
 *
 *  \date Jun 15, 2010
 *  \author tuleu
 */

#include <libamarsi-quad/utils/PreferenceReader.h>

int main(){
  //Read the preference file
  PreferenceReader::instance().read("mypref.pref");

  //define some variable to feed
  bool val[2];
  std::string vals[2];
  if(!PreferenceReader::instance().setDomain("SomeDomain"))
    return 1;// no able to read mandatory domain

  //gets value as bool
  if(PreferenceReader::instance().getValue("my_value",val[0]))
    std::cout<<"Readed SomeDomain.my_value as a bool value : "
             <<(val[0]?"true":"false")<<std::endl;
  if(PreferenceReader::instance().getValue("OtherDomain","my_value",val[1]))
    std::cout<<"Readed OtherDomain.my_value as a bool value : "
             <<(val[1]?"true":"false")<<std::endl;

  //gets value as string
  if(PreferenceReader::instance().getValue("SomeDomain","my_value",vals[0]))
    std::cout<<"Readed SomeDomain.my_value as a string value : "
             <<vals[0]<<std::endl;
  if(PreferenceReader::instance().getValue("OtherDomain","my_value",vals[1]))
    std::cout<<"Readed OtherDomain.my_value as a string value : "
             <<vals[1]<<std::endl;

  return 0;
}
