/**
 *
 * \mainpage
 *
 * \section New Feature from version 0.1.1
 *
 * - the \ref benchmarkTool has been  introduce
 * - A leg Kinematic model is available amarsi::LegKinematicModel
 *
 * \section Presentation
 *
 * libamarsi-quad is a framework for the simulation of compliant quadruped robot
 * as part of the AMARSI (http://amarsi.soltoggio.net/) European project.
 *
 * This include :
 *
 * - a webots model of a simplified version of the Cheetah robot. The model still
 *   shares lot of Cheetah features, see the page \ref model.
 * - a library libamarsi-quad that add an abstraction layer between webots and
 *   end-user controllers. This has been introduce to permit the evolution of the
 *   model with almost no work on a user point of view.
 * - (in a next future) benchmark tools in order to help the characterization of
 *   gaits.
 *
 * This documentation contains almost all information on all classes of the
 * framework. However end user that just want to use the webots model, should
 * only look at the module \ref user, or the \ref BasicControllerExample
 *
 * To install and use this framework, you could go to the page \ref
 * Installation.
 *
 * For issue with the problem please use our bug tracking system.
 *
 *
 *
 *
 *
 */
