/*
 * Copyright (c) 2009-2010 Alexandre Tuleu
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file basic-math/global.h
 *
 *  Global math header.
 *  \date May 10, 2010
 *  \author tuleu
 */

#ifndef LIBAMARSI_BASIC_MATH_GLOBAL_H_
#define LIBAMARSI_BASIC_MATH_GLOBAL_H_

typedef unsigned int uint;

#define BASIC_MATH_ZERO_THRESHOLD 1e-8

#endif // LIBAMARSI_GLOBAL_H_
