/**
 * \file TestCheetahPushes3D.cpp
 *
 *  \date Sep 1, 2010
 *  \author tuleu
 */

#include <libamarsi-quad/controller/Supervisor.h>

#include "TestCheetahPushes3D.h"

namespace benchmark {

  TestCheetahPushes3D::TestCheetahPushes3D(){

  }

  TestCheetahPushes3D::~TestCheetahPushes3D(){
  }

  void TestCheetahPushes3D::setUpPimpQuad(){
      TestCheetahPushes::setUpPimpQuad();
      internalInputs("perturbation-front-direction",d_direction.x());
      internalInputs("perturbation-up-direction"   ,d_direction.y());
      internalInputs("perturbation-side-direction" ,d_direction.z());
  }

  void TestCheetahPushes3D::applyPerturbation(){

    d_direction.normalize();
    d_direction *= amplitude();

    amarsi::Supervisor::instance().addPerturbation(d_direction,
                                                   pertubationDuration());

  }

}
