/*
 * Copyright (c) 2010 EPFL (Ecole Polytechnique Fédérale de Lausanne)
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file TestFrontSlope.h
 *
 *  \date Sep 1, 2010
 *  \author tuleu
 */

#ifndef LIBAMARSI_QUAD_TESTFRONTSLOPE_H_
#define LIBAMARSI_QUAD_TESTFRONTSLOPE_H_

#include "TestSlopes.h"

namespace benchmark{
/**
 *
 */
class TestFrontSlope : public TestSlopes{
  IS_A_PROTOTYPE_IMPLEMENTATION(TestFrontSlope,AtomicTest);
  IS_AN_ATOMIC_TEST_WITH_NAME("cheetah-front-slopes");

public:
  TestFrontSlope();
  virtual ~TestFrontSlope();
  void computeOutputsPimp();

protected :
  void setUpPimpQuad();
};
}
#endif // LIBAMARSI_QUAD_TESTFRONTSLOPE_H_
