
macro(add_prefix RESULT LIST PREFIX)
  foreach(item ${${LIST}})
    list(APPEND ${RESULT} ${PREFIX}/${item})
  endforeach(item)
endmacro(add_prefix)


macro(collect_subdir_files SOURCES_FILES HEADERS_FILES SOURCES_TEST_FILES HEADERS_TEST_FILES DIRECTORY HEADER_INSTALL_DIR)

  include(${DIRECTORY}/CMakeLists.txt)
  add_prefix(${SOURCES_FILES} ${DIRECTORY}_SOURCES ${DIRECTORY})
  add_prefix(${HEADERS_FILES} ${DIRECTORY}_HEADERS ${DIRECTORY})
  add_prefix(${SOURCES_TEST_FILES} ${DIRECTORY}_SOURCES_TEST ${DIRECTORY})
  add_prefix(${HEADERS_TEST_FILES} ${DIRECTORY}_HEADERS_TEST ${DIRECTORY})
  set(HEADERS_TMP )
  add_prefix(HEADERS_TMP ${DIRECTORY}_HEADERS ${DIRECTORY})
	install(FILES ${HEADERS_TMP} DESTINATION ${HEADER_INSTALL_DIR}/${DIRECTORY})
endmacro(collect_subdir_files)