/**
 * \file examples/debug/main.cpp
 *
 *  \date Jun 15, 2010
 *  \author tuleu
 */

#include "MyDebug.h"
#include <libamarsi-quad/utils/PreferenceReader.h>


Debug::Domain::ID MyDebug::MyDomain1;
Debug::Domain::ID MyDebug::MyDomain2;

int main(){
  PreferenceReader::instance().read("Debug.pref");
  //stores the domain id
  MyDebug::MyDomain1 = Debug::instance().addDomain(false,std::cerr,"DOMAIN1");
  MyDebug::MyDomain2 = Debug::instance().addDomain(false,std::cerr,"DOMAIN2");

  Debug::instance().enableFromPreferences();

  Debug::out(MyDebug::MyDomain1)<<"This will be on the standard error."
                                <<std::endl;
  debug_domain1("This will also be on the standard error, but no code will be "
                <<"compiled if DEBUG macro is not defined."<<std::endl);
  debug_domain2("This will not be on the output."<<std::endl);

}
