/**
 * \file NodeResetter.h
 *
 *  \date Oct 25, 2010
 *  \author tuleu
 */

#ifndef LIBAMARSI_QUAD_NODERESETTER_H_
#define LIBAMARSI_QUAD_NODERESETTER_H_

#include <libamarsi-quad/basic-math/math.hpp>

namespace webots{
	class Node;
	class Field;
}

/**
 *
 */
namespace amarsi {

	class NodeResetter {
	public:
		NodeResetter(webots::Node* node);
		virtual ~NodeResetter();

		void reset();
	private :
		webots::Node* d_node;
		webots::Field* d_orientation;
		Vector<4> d_startingOrientation;
	};
}

#endif // LIBAMARSI_QUAD_NODERESETTER_H_
