/*
 * Copyright (c) 2009-2010 Alexandre Tuleu
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file math.hpp
 *  The file to use to include basic linear algebra structures, like Vector
 *  Vector3 and Quaternions.
 *  \date May 10, 2010
 *  \author tuleu
 */

#ifndef lLIBAMARSI_GLOBAL_MATH_HPP_
#define LIBAMARSI_GLOBAL_MATH_HPP_




#include "Vector.h"
#include "Vector3.h"
#include "Quat.h"

#endif // libamarsi_MATH_H_
