/*
 * Copyright (c) 2010 EPFL (Ecole Polytechnique Fédérale de Lausanne)
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file Stand.cpp
 *
 *  \date Aug 5, 2010
 *  \author tuleu
 */

#include "Stand.h"

namespace amarsi {

  Stand::Stand(webots::Node* node)
    : FloorElement(node,
                   State(Vector3(0.0 ,  0.065 , 0.0) , Vector<4>::E(1)),
                   State(Vector3(10000.0 , -1.065 , 0.0) , Vector<4>::E(1))){
  }

  Stand::~Stand(){
  }

}
