/*
 * Copyright (c) 2010 Ecole Polytechnique Fédérale de Lausanne
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file libamarsi-quad.h
 * This is the main include file of the library. End user should normally
 * include only this file.
 *  \date May 14, 2010
 *  \author tuleu
 */

#ifndef LIBAMARSI_QUAD_LIBAMARSIQUAD_H_
#define LIBAMARSI_QUAD_LIBAMARSIQUAD_H_


#include "common/global.h"
#include "controller/Controller.h"
#include "controller/Clock.h"
#include "actuators/Actuator.h"
#include "sensors/Sensors.h"
#include "controller/Supervisor.h"
#include "controller/Event.h"
#include "controller/EventManager.h"
#include "controller/Robot.h"



#endif // LIBAMARSI_QUAD_LIBAMARSIQUAD_H_


